from mpi4py import MPI
import sys
import timeit

from matrix_mpi import MatrixMPI as Matrix
from vector_mpi import VectorMPI as Vector

# from matrix import Matrix
# from vector import Vector

comm = MPI.COMM_WORLD
size = comm.Get_size()
rank = comm.Get_rank()

n = int(sys.argv[1])

A = Matrix([3], structure="diagonal", offset=0, n=n)
v = Vector([7] * n)

time = timeit.timeit(lambda: A * v, number=1)

if rank == 0:
    print(f"ranks = {size}: time = {time}s")
